# Shodan

## Checking found Autonomous System Number (ASN)
* Shodan does output ASN, not necessarily the IP of a small company. Search for
```h
asn:AS13335
```
* [ASN Check](https://dnschecker.org/asn-whois-lookup.php)

## Banner
* Example
```json
{
        "data": "Moxa Nport Device",
        "Status": "Authentication disabled",
        "Name": "NP5232I_4728",
        "MAC": "00:90:e8:47:10:2d",
        "ip_str": "46.252.132.235",
        "port": 4800,
        "org": "Starhub Mobile",
        "location": {
                "country_code": "SG"
        }
 }
```

## Filter
* vulns
```sh
vuln:ms17-010
```
